=== debian/changelog ===
openmpi (4.1.4-3) unstable; urgency=medium

  * Rebuild against latest dh-fortran-mod, pmix 4.2.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 12 Oct 2022 12:52:34 +0100

openmpi (4.1.4-2) unstable; urgency=medium

  * Fix broken oshmem symlink. Closes: #1009748

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Sep 2022 15:47:37 +0100

openmpi (4.1.4-1) unstable; urgency=medium

  * New upstream release
  * Update links:
    - libmpi.so.40.30.3 -> libmpi.so.40.30.4
    - /libmca_common_ompio.so.41.29.3 -> /libmca_common_ompio.so.41.29.4
  * Standards-Versoin: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 May 2022 10:51:27 +0100

openmpi (4.1.3-2) unstable; urgency=medium

  * Update links:
    - libmca_common_ompio.so.41.29.2 -> libmca_common_ompio.so.41.29.3
    - libmca_common_ucx.so.40.30.1 -> libmca_common_ucx.so.40.30.2
    Closes: #1008966
  * Fix autopkgtest that was incorrectly silent: Closes: #1009263

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Apr 2022 08:32:17 +0100

openmpi (4.1.3-1) unstable; urgency=medium

  * New upstream release
  * Update links:
     - libmpi.so.40.30.2  -> libmpi.so.4.0.30.2
     - libompitrace.so.40.30.0 -> libompitrace.so.40.30.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Apr 2022 09:05:27 +0100
