=== debian/tests/control ===
Tests: hello1
Depends: gcc, openmpi-bin, libopenmpi-dev

Tests: hello2
Depends: gfortran, libopenmpi-dev, openmpi-bin

Tests: hello4
Depends: gfortran, libopenmpi-dev, openmpi-bin

Tests: check_shared_objs
Depends: openmpi-bin
