## openmpi 4.1.5

=== debian/changelog ===
openmpi (4.1.5-3ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Aug 2023 08:02:02 +0200

openmpi (4.1.5-3) unstable; urgency=medium

  * Rebuild against gcc-13. Closes: #1050031

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Aug 2023 09:51:43 +0100

openmpi (4.1.5-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Jun 2023 11:18:51 +0200

openmpi (4.1.5-2) unstable; urgency=medium

  * Standards-Version: 4.6.2
  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 12:13:42 +0100

openmpi (4.1.5-1) experimental; urgency=medium

  * New upstream release
  * Update links:
    - libmpi.so.40.30.4 -> libmpi.so.40.30.5
    - libopen-pal.so.40.30.2 -> libopen-pal.so.40.30.3
    - libopen-rte.so.40.30.2 -> libopen-rte.so.40.30.3
    - liboshmem.so.40.30.2 -> liboshmem.so.40.30.3

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Mar 2023 10:06:21 +0000

openmpi (4.1.4-3ubuntu2) lunar; urgency=medium

  * Rebuild against new libpmix2 4.2.2-1 on riscv64, fixing python-
    escrypt build.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jan 2023 14:05:59 +0100

openmpi (4.1.4-3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Nov 2022 22:16:43 -0800

openmpi (4.1.4-2ubuntu2) kinetic; urgency=medium

  * No-change rebuild against libevent-core-2.1-7a

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Oct 2022 21:23:22 +0000

openmpi (4.1.4-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Sep 2022 18:16:05 +0200

openmpi (4.1.4-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 May 2022 09:10:10 +0200

openmpi (4.1.3-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Apr 2022 10:10:49 +0200
