=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openmpi
 Section: net
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Manuel Prinz <manuel@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), 
  dh-sequence-fortran-mod,
@@ -13,15 +14,15 @@
  gfortran,
  libhwloc-dev,
  pkg-config,
- libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
- libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !sh4 !powerpc !x32],
+ libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !i386],
+ libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !sh4 !powerpc !x32 !i386],
  libnuma-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libpsm-infinipath1-dev [amd64 i386],
  libpsm2-dev [amd64],
  default-jdk [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !alpha !ppc64 !sparc64] <!nojava>,
  flex
 Build-Conflicts: libmpich-dev, libopenmpi-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.open-mpi.org/
 Vcs-Browser: https://salsa.debian.org/hpc-team/openmpi
 Vcs-Git: https://salsa.debian.org/hpc-team/openmpi.git -b debian/latest
@@ -69,7 +70,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
  libopenmpi3 (= ${binary:Version}), 
  openmpi-common (>= ${source:Version}), 
- libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libhwloc-dev,
+ libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !i386], libhwloc-dev,
  libevent-dev, 
  libpmix-dev,
  libjs-jquery,
