=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 
 ### Arch-specific stuff
 # No ibverbs support available on kFreeBSD, Hurd
-NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x 
-NO_FABRIC_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x sh4 powerpc x32
+NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x i386
+NO_FABRIC_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x sh4 powerpc x32 i386
 PSM_ARCH:= amd64 i386
 PSM2_ARCH:= amd64
 UCX_ARCH:= amd64 ppc64el arm64
