## openmpi 4.1.6

=== debian/changelog ===
openmpi (4.1.6-7ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:25:08 +0000

openmpi (4.1.6-7ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Mar 2024 08:34:15 +0100

openmpi (4.1.6-7) unstable; urgency=medium

  * Drop hard-coded pmix2 dependency. Closes: #1066885

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Mar 2024 06:14:07 +0000

openmpi (4.1.6-6ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core
    - Remove redundant libpmix2 dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Mar 2024 21:17:49 +0100

openmpi (4.1.6-6) unstable; urgency=medium

  * Patch from Zixing Liu to change libnames in d/rules for t64 transition.
    Closes: #1066834

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Mar 2024 08:19:07 +0000

openmpi (4.1.6-5.1ubuntu4) noble; urgency=medium

  * d/rules: correctly install all the optional libraries to the t64-suffixed
    binary packages. (LP: #1070321)

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 13 Mar 2024 18:49:40 -0600

openmpi (4.1.6-5.1ubuntu3) noble; urgency=medium

  * Remove redundant libpmix2 dependency

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 12 Mar 2024 20:30:35 -0600

openmpi (4.1.6-5.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libpmix2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 22:51:49 +0000

openmpi (4.1.6-5.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Mar 2024 12:16:21 +0100

openmpi (4.1.6-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064263

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 12:37:33 +0000

openmpi (4.1.6-5ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2024 10:04:03 +0100

openmpi (4.1.6-5) unstable; urgency=medium

  * Ensure pkg-config is present for autopkgtests

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 17:14:56 +0000

openmpi (4.1.6-4) unstable; urgency=medium

  * Revert FMODDIR to libdir via dh-fortran-mod >= 0.31.
    Closes: #1058876
  * Add fortran-suppport.mk 
  * Add fortran:Depends, fortran:Recommends to libopenmpi-dev
  * Depend on dh-fortran-mod (>= 0.31)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 17:14:39 +0000

openmpi (4.1.6-3) unstable; urgency=medium

  * Pass FMODDIR into pkg-config. Closes: #1058876
  * Update mpi wrappers data for fmoddir
  * Now ship pkg-config  ompi-f77.pc, opal.pc links in d/libopenmpi-dev
  * Expand debian/tests to cover mpi wrapper, pkg-config compiles

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Dec 2023 14:06:07 +0000

openmpi (4.1.6-2) unstable; urgency=medium

  * Fix change of FMODDIR to /usr/include*. Closes: #1058526

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Dec 2023 08:57:13 +0000

openmpi (4.1.6-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 09:31:28 +0200

openmpi (4.1.6-1) unstable; urgency=medium

  * New upstream release
  * Minor link change: libmpi.so.40.30.5 -> libmpi.so.40.30.6

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Oct 2023 13:00:06 +0100
