=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Manuel Prinz <manuel@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), 
- dh-sequence-fortran-mod,
+Build-Depends: dpkg-dev (>= 1.22.5), dpkg-dev (>= 1.16.1~), 
+ dh-fortran-mod (>= 0.31),
  debhelper-compat (= 13), 
  libevent-dev,
  libpmix-dev,
  libucx-dev [amd64 arm64 ppc64el],
  zlib1g-dev,
- gfortran,
  libhwloc-dev,
  pkg-config,
  libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !i386],
@@ -67,8 +66,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, 
- libopenmpi3 (= ${binary:Version}), 
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${fortran:Depends},
+ libopenmpi3t64 (= ${binary:Version}), 
  openmpi-common (>= ${source:Version}), 
  libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !i386], libhwloc-dev,
  libevent-dev, 
@@ -77,7 +76,7 @@
  libjs-jquery-ui,
  zlib1g-dev,
  openmpi-bin (>= 3.0.0-1)
-Recommends: libcoarrays-openmpi-dev
+Recommends: libcoarrays-openmpi-dev, ${fortran:Recommends}
 Conflicts: libopenmpi-dev
 Breaks:
  openmpi-doc (<< 4.1.2~rc1-4),
@@ -93,12 +92,14 @@
  This package contains the header files and compiler wrappers which are needed
  to compile and link programs against libopenmpi.
 
-Package: libopenmpi3
+Package: libopenmpi3t64
+Provides: ${t64:Provides}
+Replaces: libopenmpi3
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins, libpmix2
-Breaks: gromacs-openmpi (<< 2020~beta2-2), libeztrace0 (<< 1.1-8-5+b1), starpu-contrib-examples (<< 1.3.2+dfsg-2+b1), starpu-examples (<< 1.3.2+dfsg-4+b1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins
+Breaks: libopenmpi3 (<< ${source:Version}), gromacs-openmpi (<< 2020~beta2-2), libeztrace0 (<< 1.1-8-5+b1), starpu-contrib-examples (<< 1.3.2+dfsg-2+b1), starpu-examples (<< 1.3.2+dfsg-4+b1)
 Description: high performance message passing library -- shared library
  Open MPI is a project combining technologies and resources from several other
  projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
