=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,20 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/debhelper/dh-fortran/fortran-support.mk
 
 DESTDIR:=$(CURDIR)/debian/tmp/
-BUILDDIR_FLANG=debian/build-flang
-BUILDDIR_GFORTRAN=debian/build-gfortran
+BUILDDIR=debian/build
+BUILDDIR_DEFAULT=$(BUILDDIR)-$(FC_DEFAULT)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
 AUTOGENERATED:= libopenmpi-dev.postinst libopenmpi-dev.prerm
+
+# get_moddir in 0.31 buggy; adds quotes so ..
+FMODDIR:=$(shell echo $(call get_fmoddir,$(FC_DEFAULT)) )
+
+export FC_DEFAULT FMODDIR
+export GFORTRAN_VERSION=gfortran-mod-15
 
 ### Arch-specific stuff
 # No ibverbs support available on kFreeBSD, Hurd
@@ -34,31 +41,13 @@
 CMA:=     $(if $(filter $(DEB_TARGET_ARCH), $(NO_CMA_ARCH)), --without-cma , )
 DO_TEST:= $(if $(filter $(DEB_TARGET_ARCH), $(NO_TEST_ARCH)), false, true)
 BTL_TESTS:= $(if $(DO_TEST), --enable-opal-btl-usnic-unit-tests, )
-DO_FLANG:=$(if $(wildcard /usr/bin/flang),true, false)
+
+DO_FLANG:=false
 
 ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
        JAVA := $(if $(filter $(DEB_TARGET_ARCH), $(NO_JAVA_ARCH)), \
 		 ,--with-jdk-dir=/usr/lib/jvm/default-java --enable-mpi-java )
 endif
-
-FLANG_FCFLAGS= $(filter '-g', $(shell dpkg-buildflags --get FCFLAGS))
-FLANG_LIBDIR= $(LIBDIR)/fortran/flang
-
-FLANG_VERSION=$(shell basename $(shell readlink /usr/bin/flang))
-# GFORTRAN_VERSION:=$(shell basename $(shell readlink -f /usr/bin/gfortran))
-export GFORTRAN_VERSION=gfortran-mod-15
-
-# FC set to f77 by default in make
-# Read default compiler name unless FC is actually set
-ifeq ($(FC),f77)
-  FC:=$(shell basename $(shell readlink /etc/alternatives/f95))
-endif
-
-# Drop '-g' flag with flang. Known failure with 2018122 version
-ifneq ($(filter flang,$(FC)),)
-FCFLAGS=$(shell dpkg-buildflags --get FCLAGS |  sed -e 's/-g //')
-endif
-
 
 ifeq (sparc,$(DEB_HOST_GNU_CPU))
 	CFLAGS += -mcpu=v9
@@ -78,7 +67,7 @@
 export USER=username
 
 %:
-	dh $@ 
+	dh $@ --with fortran_mod 
 
 extra_flags = \
 		--disable-silent-rules \
@@ -106,7 +95,9 @@
 
 override_dh_auto_clean:
 	dh_clean
+	rm -fr debian/build-*
 	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
+	find . -name Makefile.in -delete
 	find . -name .libs -exec rm -rf {} \; || true
 	find . -name .dirstamp -delete
 	find . -type l -delete
@@ -118,20 +109,20 @@
 
 override_dh_auto_configure:
 	for f in ${AUTOGENERATED} ; do \
-               sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  | \
-               sed -e 's/@GFORTRAN_VERSION@/${GFORTRAN_VERSION}/' > debian/$$f ; \
+               sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ;  \
                done
-	dh_auto_configure --builddirectory=$(BUILDDIR_GFORTRAN) -- $(extra_flags)
+	dh_auto_configure --builddirectory=$(BUILDDIR_DEFAULT) -- $(extra_flags) \
+		FC=$(FC_DEFAULT) 
 	$(DO_FLANG) && dh_auto_configure --builddirectory=$(BUILDDIR_FLANG) \
 		-- $(extra_flags) FC=flang FCFLAGS="$(FLANG_FCFLAGS)" || true
 
 override_dh_auto_build:
-	dh_auto_build --builddirectory=$(BUILDDIR_GFORTRAN)	
+	dh_auto_build --builddirectory=$(BUILDDIR_DEFAULT)
 	$(DO_FLANG) && dh_auto_build --builddirectory=$(BUILDDIR_FLANG)	 || true
 
 override_dh_install:
-	dh_auto_install --builddirectory=$(BUILDDIR_GFORTRAN)
-	$(DO_FLANG) && find $(BUILDDIR_FLANG) -type f -perm -+x -a ! -name '*.la' -a ! -name '*.mod' -exec chrpath -d '{}' \; || true
+	dh_auto_install --builddirectory=$(BUILDDIR_DEFAULT)
+	# $(DO_FLANG) && find $(BUILDDIR_FLANG) -type f -perm -+x -a ! -name '*.la' -a ! -name '*.mod' -exec chrpath -d '{}' \; || true
 # Rename the compiler and startup wrappers.
 	for f in mpic++ mpicc mpiCC mpicxx mpiexec mpif77 mpif90 mpirun mpifort ; do \
 		if test -f $(DESTDIR)/usr/bin/$${f}; then \
@@ -143,12 +134,13 @@
 	mv $(DESTDIR)/usr/bin/profile2mat.pl $(DESTDIR)/usr/bin/profile2mat
 # Strip rpath from pc,wrapper files
 	for f in ompi-c.pc  ompi-cxx.pc  ompi-f77.pc  ompi-f90.pc  ompi-fort.pc  ompi.pc  opal.pc  orte.pc ; do  \
-		sed -e 's/-Wl,-rpath -Wl,$${libdir}//' < $(DESTDIR)/$(LIBDIR)/openmpi/lib/pkgconfig/$${f} > debian/tmp.x ; \
+		sed -e 's/-Wl,-rpath -Wl,$${libdir}//' < $(DESTDIR)/$(LIBDIR)/openmpi/lib/pkgconfig/$${f} | \
+                sed -e 's%@FMODDIR@%${FMODDIR}%g' > debian/tmp.x ; \
 		mv debian/tmp.x $(DESTDIR)/$(LIBDIR)/openmpi/lib/pkgconfig/$${f} ; \
 		done
 	find . -name '*wrapper-data.txt' | while read f; do \
-		sed -e 's/-Wl,-rpath -Wl,@{libdir}//' < $$f | \
-		sed -e 's/@COMPILER_VERSION@/${GFORTRAN_VERSION}/' > debian/tmp.x ; \
+		sed -e 's/-Wl,-rpath -Wl,@{libdir}//' < $$f  |  \
+	        sed -e 's/@COMPILER_VERSION@/${GFORTRAN_VERSION}/' > debian/tmp.x ; \
 		mv debian/tmp.x $$f ; done
 # Rename the compiler wrapper man pages.
 	for f in mpic++ mpicc mpicxx mpiexec mpif77 mpif90 mpirun mpifort ; do \
@@ -166,15 +158,15 @@
 		mv $$f $$(echo $$f|sed -e "s|\.3|.openmpi.3|g"); \
 	done; \
 	mkdir -p $(DESTDIR)/$(LIBDIR)/openmpi/lib/
-	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_mpifh.so.40.30.0  $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.30.0
-	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_usempi_ignore_tkr.so.40.30.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.30.0
-	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_usempif08.so.40.30.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.30.0
-	gcc -shared -fPIC -Wl,-soname,libmpi_mpifh-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh-gfortran.so.40.30.0 \
+	cp $(BUILDDIR_DEFAULT)/ompi/mpi/fortran/*/.libs/libmpi_mpifh.so.40.30.0  $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.30.0
+	cp $(BUILDDIR_DEFAULT)/ompi/mpi/fortran/*/.libs/libmpi_usempi_ignore_tkr.so.40.30.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.30.0
+	cp $(BUILDDIR_DEFAULT)/ompi/mpi/fortran/*/.libs/libmpi_usempif08.so.40.30.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.30.0
+	gcc -shared -fPIC -Wl,-soname,libmpi_mpifh-$(FC_DEFAULT).so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh-$(FC_DEFAULT).so.40.30.0 \
 		$(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.30.0
-	gcc -shared -fPIC -Wl,-soname,libmpi_usempi_ignore_tkr-gfortran.so.40 \
-		-o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr-gfortran.so.40.30.0 \
+	gcc -shared -fPIC -Wl,-soname,libmpi_usempi_ignore_tkr-$(FC_DEFAULT)so.40 \
+		-o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr-$(FC_DEFAULT).so.40.30.0 \
 		   $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.30.0
-	gcc -shared -fPIC -Wl,-soname,libmpi_usempif08-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08-gfortran.so.40.30.0 \
+	gcc -shared -fPIC -Wl,-soname,libmpi_usempif08-$(FC_DEFAULT).so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08-$(FC_DEFAULT).so.40.30.0 \
 		$(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.30.0
 	# Flang, if present
 	$(DO_FLANG) && ( \
@@ -184,3 +176,5 @@
 		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/use-mpi-f08/*.mod openmpi ; \
 		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/use-mpi-f08/mod/*.mod openmpi ; \
 		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/mpiext-use-mpi/*.mod openmpi ; \
+		cp $(BUILDDIR_FLANG)/ompi/mpi/fortran/*/.libs/libmpi_mpifh.so.40.30.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh-flang.so.40.30.0 ; \
+		cp $(BUILDDIR_FLANG)/ompi/mpi/fortran/*/.libs/libmpi_usempi_ignore_tkr.so.40.30.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr-flang.so.40.30.0 ; \
